Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network123.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
123.128.0.0
Broadcast address
123.255.255.255
First usable
123.128.0.1
Last usable
123.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 7B800000 · Integer 2071986176 to 2080374783
Reverse DNS zones
128.123.in-addr.arpa
129.123.in-addr.arpa
130.123.in-addr.arpa
131.123.in-addr.arpa
132.123.in-addr.arpa
133.123.in-addr.arpa
134.123.in-addr.arpa
135.123.in-addr.arpa
136.123.in-addr.arpa
137.123.in-addr.arpa
138.123.in-addr.arpa
139.123.in-addr.arpa
140.123.in-addr.arpa
141.123.in-addr.arpa
142.123.in-addr.arpa
143.123.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111011.10000000.00000000.00000000123.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01111011.10000000.00000000.00000000123.128.0.0
Broadcast01111011.11111111.11111111.11111111123.255.255.255
Split into smaller subnets/21

123.128.0.0/9 makes 4,096 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1123.128.0.0/21123.128.0.1 to 123.128.7.254123.128.7.2552,046
2123.128.8.0/21123.128.8.1 to 123.128.15.254123.128.15.2552,046
3123.128.16.0/21123.128.16.1 to 123.128.23.254123.128.23.2552,046
4123.128.24.0/21123.128.24.1 to 123.128.31.254123.128.31.2552,046
5123.128.32.0/21123.128.32.1 to 123.128.39.254123.128.39.2552,046
6123.128.40.0/21123.128.40.1 to 123.128.47.254123.128.47.2552,046
7123.128.48.0/21123.128.48.1 to 123.128.55.254123.128.55.2552,046
8123.128.56.0/21123.128.56.1 to 123.128.63.254123.128.63.2552,046
9123.128.64.0/21123.128.64.1 to 123.128.71.254123.128.71.2552,046
10123.128.72.0/21123.128.72.1 to 123.128.79.254123.128.79.2552,046
11123.128.80.0/21123.128.80.1 to 123.128.87.254123.128.87.2552,046
12123.128.88.0/21123.128.88.1 to 123.128.95.254123.128.95.2552,046
13123.128.96.0/21123.128.96.1 to 123.128.103.254123.128.103.2552,046
14123.128.104.0/21123.128.104.1 to 123.128.111.254123.128.111.2552,046
15123.128.112.0/21123.128.112.1 to 123.128.119.254123.128.119.2552,046
16123.128.120.0/21123.128.120.1 to 123.128.127.254123.128.127.2552,046
17123.128.128.0/21123.128.128.1 to 123.128.135.254123.128.135.2552,046
18123.128.136.0/21123.128.136.1 to 123.128.143.254123.128.143.2552,046
19123.128.144.0/21123.128.144.1 to 123.128.151.254123.128.151.2552,046
20123.128.152.0/21123.128.152.1 to 123.128.159.254123.128.159.2552,046
21123.128.160.0/21123.128.160.1 to 123.128.167.254123.128.167.2552,046
22123.128.168.0/21123.128.168.1 to 123.128.175.254123.128.175.2552,046
23123.128.176.0/21123.128.176.1 to 123.128.183.254123.128.183.2552,046
24123.128.184.0/21123.128.184.1 to 123.128.191.254123.128.191.2552,046
25123.128.192.0/21123.128.192.1 to 123.128.199.254123.128.199.2552,046
26123.128.200.0/21123.128.200.1 to 123.128.207.254123.128.207.2552,046
27123.128.208.0/21123.128.208.1 to 123.128.215.254123.128.215.2552,046
28123.128.216.0/21123.128.216.1 to 123.128.223.254123.128.223.2552,046
29123.128.224.0/21123.128.224.1 to 123.128.231.254123.128.231.2552,046
30123.128.232.0/21123.128.232.1 to 123.128.239.254123.128.239.2552,046
31123.128.240.0/21123.128.240.1 to 123.128.247.254123.128.247.2552,046
32123.128.248.0/21123.128.248.1 to 123.128.255.254123.128.255.2552,046
33123.129.0.0/21123.129.0.1 to 123.129.7.254123.129.7.2552,046
34123.129.8.0/21123.129.8.1 to 123.129.15.254123.129.15.2552,046
35123.129.16.0/21123.129.16.1 to 123.129.23.254123.129.23.2552,046
36123.129.24.0/21123.129.24.1 to 123.129.31.254123.129.31.2552,046
37123.129.32.0/21123.129.32.1 to 123.129.39.254123.129.39.2552,046
38123.129.40.0/21123.129.40.1 to 123.129.47.254123.129.47.2552,046
39123.129.48.0/21123.129.48.1 to 123.129.55.254123.129.55.2552,046
40123.129.56.0/21123.129.56.1 to 123.129.63.254123.129.63.2552,046
41123.129.64.0/21123.129.64.1 to 123.129.71.254123.129.71.2552,046
42123.129.72.0/21123.129.72.1 to 123.129.79.254123.129.79.2552,046
43123.129.80.0/21123.129.80.1 to 123.129.87.254123.129.87.2552,046
44123.129.88.0/21123.129.88.1 to 123.129.95.254123.129.95.2552,046
45123.129.96.0/21123.129.96.1 to 123.129.103.254123.129.103.2552,046
46123.129.104.0/21123.129.104.1 to 123.129.111.254123.129.111.2552,046
47123.129.112.0/21123.129.112.1 to 123.129.119.254123.129.119.2552,046
48123.129.120.0/21123.129.120.1 to 123.129.127.254123.129.127.2552,046
49123.129.128.0/21123.129.128.1 to 123.129.135.254123.129.135.2552,046
50123.129.136.0/21123.129.136.1 to 123.129.143.254123.129.143.2552,046
51123.129.144.0/21123.129.144.1 to 123.129.151.254123.129.151.2552,046
52123.129.152.0/21123.129.152.1 to 123.129.159.254123.129.159.2552,046
53123.129.160.0/21123.129.160.1 to 123.129.167.254123.129.167.2552,046
54123.129.168.0/21123.129.168.1 to 123.129.175.254123.129.175.2552,046
55123.129.176.0/21123.129.176.1 to 123.129.183.254123.129.183.2552,046
56123.129.184.0/21123.129.184.1 to 123.129.191.254123.129.191.2552,046
57123.129.192.0/21123.129.192.1 to 123.129.199.254123.129.199.2552,046
58123.129.200.0/21123.129.200.1 to 123.129.207.254123.129.207.2552,046
59123.129.208.0/21123.129.208.1 to 123.129.215.254123.129.215.2552,046
60123.129.216.0/21123.129.216.1 to 123.129.223.254123.129.223.2552,046
61123.129.224.0/21123.129.224.1 to 123.129.231.254123.129.231.2552,046
62123.129.232.0/21123.129.232.1 to 123.129.239.254123.129.239.2552,046
63123.129.240.0/21123.129.240.1 to 123.129.247.254123.129.247.2552,046
64123.129.248.0/21123.129.248.1 to 123.129.255.254123.129.255.2552,046
65123.130.0.0/21123.130.0.1 to 123.130.7.254123.130.7.2552,046
66123.130.8.0/21123.130.8.1 to 123.130.15.254123.130.15.2552,046
67123.130.16.0/21123.130.16.1 to 123.130.23.254123.130.23.2552,046
68123.130.24.0/21123.130.24.1 to 123.130.31.254123.130.31.2552,046
69123.130.32.0/21123.130.32.1 to 123.130.39.254123.130.39.2552,046
70123.130.40.0/21123.130.40.1 to 123.130.47.254123.130.47.2552,046
71123.130.48.0/21123.130.48.1 to 123.130.55.254123.130.55.2552,046
72123.130.56.0/21123.130.56.1 to 123.130.63.254123.130.63.2552,046
73123.130.64.0/21123.130.64.1 to 123.130.71.254123.130.71.2552,046
74123.130.72.0/21123.130.72.1 to 123.130.79.254123.130.79.2552,046
75123.130.80.0/21123.130.80.1 to 123.130.87.254123.130.87.2552,046
76123.130.88.0/21123.130.88.1 to 123.130.95.254123.130.95.2552,046
77123.130.96.0/21123.130.96.1 to 123.130.103.254123.130.103.2552,046
78123.130.104.0/21123.130.104.1 to 123.130.111.254123.130.111.2552,046
79123.130.112.0/21123.130.112.1 to 123.130.119.254123.130.119.2552,046
80123.130.120.0/21123.130.120.1 to 123.130.127.254123.130.127.2552,046
81123.130.128.0/21123.130.128.1 to 123.130.135.254123.130.135.2552,046
82123.130.136.0/21123.130.136.1 to 123.130.143.254123.130.143.2552,046
83123.130.144.0/21123.130.144.1 to 123.130.151.254123.130.151.2552,046
84123.130.152.0/21123.130.152.1 to 123.130.159.254123.130.159.2552,046
85123.130.160.0/21123.130.160.1 to 123.130.167.254123.130.167.2552,046
86123.130.168.0/21123.130.168.1 to 123.130.175.254123.130.175.2552,046
87123.130.176.0/21123.130.176.1 to 123.130.183.254123.130.183.2552,046
88123.130.184.0/21123.130.184.1 to 123.130.191.254123.130.191.2552,046
89123.130.192.0/21123.130.192.1 to 123.130.199.254123.130.199.2552,046
90123.130.200.0/21123.130.200.1 to 123.130.207.254123.130.207.2552,046
91123.130.208.0/21123.130.208.1 to 123.130.215.254123.130.215.2552,046
92123.130.216.0/21123.130.216.1 to 123.130.223.254123.130.223.2552,046
93123.130.224.0/21123.130.224.1 to 123.130.231.254123.130.231.2552,046
94123.130.232.0/21123.130.232.1 to 123.130.239.254123.130.239.2552,046
95123.130.240.0/21123.130.240.1 to 123.130.247.254123.130.247.2552,046
96123.130.248.0/21123.130.248.1 to 123.130.255.254123.130.255.2552,046
97123.131.0.0/21123.131.0.1 to 123.131.7.254123.131.7.2552,046
98123.131.8.0/21123.131.8.1 to 123.131.15.254123.131.15.2552,046
99123.131.16.0/21123.131.16.1 to 123.131.23.254123.131.23.2552,046
100123.131.24.0/21123.131.24.1 to 123.131.31.254123.131.31.2552,046
101123.131.32.0/21123.131.32.1 to 123.131.39.254123.131.39.2552,046
102123.131.40.0/21123.131.40.1 to 123.131.47.254123.131.47.2552,046
103123.131.48.0/21123.131.48.1 to 123.131.55.254123.131.55.2552,046
104123.131.56.0/21123.131.56.1 to 123.131.63.254123.131.63.2552,046
105123.131.64.0/21123.131.64.1 to 123.131.71.254123.131.71.2552,046
106123.131.72.0/21123.131.72.1 to 123.131.79.254123.131.79.2552,046
107123.131.80.0/21123.131.80.1 to 123.131.87.254123.131.87.2552,046
108123.131.88.0/21123.131.88.1 to 123.131.95.254123.131.95.2552,046
109123.131.96.0/21123.131.96.1 to 123.131.103.254123.131.103.2552,046
110123.131.104.0/21123.131.104.1 to 123.131.111.254123.131.111.2552,046
111123.131.112.0/21123.131.112.1 to 123.131.119.254123.131.119.2552,046
112123.131.120.0/21123.131.120.1 to 123.131.127.254123.131.127.2552,046
113123.131.128.0/21123.131.128.1 to 123.131.135.254123.131.135.2552,046
114123.131.136.0/21123.131.136.1 to 123.131.143.254123.131.143.2552,046
115123.131.144.0/21123.131.144.1 to 123.131.151.254123.131.151.2552,046
116123.131.152.0/21123.131.152.1 to 123.131.159.254123.131.159.2552,046
117123.131.160.0/21123.131.160.1 to 123.131.167.254123.131.167.2552,046
118123.131.168.0/21123.131.168.1 to 123.131.175.254123.131.175.2552,046
119123.131.176.0/21123.131.176.1 to 123.131.183.254123.131.183.2552,046
120123.131.184.0/21123.131.184.1 to 123.131.191.254123.131.191.2552,046
121123.131.192.0/21123.131.192.1 to 123.131.199.254123.131.199.2552,046
122123.131.200.0/21123.131.200.1 to 123.131.207.254123.131.207.2552,046
123123.131.208.0/21123.131.208.1 to 123.131.215.254123.131.215.2552,046
124123.131.216.0/21123.131.216.1 to 123.131.223.254123.131.223.2552,046
125123.131.224.0/21123.131.224.1 to 123.131.231.254123.131.231.2552,046
126123.131.232.0/21123.131.232.1 to 123.131.239.254123.131.239.2552,046
127123.131.240.0/21123.131.240.1 to 123.131.247.254123.131.247.2552,046
128123.131.248.0/21123.131.248.1 to 123.131.255.254123.131.255.2552,046
129123.132.0.0/21123.132.0.1 to 123.132.7.254123.132.7.2552,046
130123.132.8.0/21123.132.8.1 to 123.132.15.254123.132.15.2552,046
131123.132.16.0/21123.132.16.1 to 123.132.23.254123.132.23.2552,046
132123.132.24.0/21123.132.24.1 to 123.132.31.254123.132.31.2552,046
133123.132.32.0/21123.132.32.1 to 123.132.39.254123.132.39.2552,046
134123.132.40.0/21123.132.40.1 to 123.132.47.254123.132.47.2552,046
135123.132.48.0/21123.132.48.1 to 123.132.55.254123.132.55.2552,046
136123.132.56.0/21123.132.56.1 to 123.132.63.254123.132.63.2552,046
137123.132.64.0/21123.132.64.1 to 123.132.71.254123.132.71.2552,046
138123.132.72.0/21123.132.72.1 to 123.132.79.254123.132.79.2552,046
139123.132.80.0/21123.132.80.1 to 123.132.87.254123.132.87.2552,046
140123.132.88.0/21123.132.88.1 to 123.132.95.254123.132.95.2552,046
141123.132.96.0/21123.132.96.1 to 123.132.103.254123.132.103.2552,046
142123.132.104.0/21123.132.104.1 to 123.132.111.254123.132.111.2552,046
143123.132.112.0/21123.132.112.1 to 123.132.119.254123.132.119.2552,046
144123.132.120.0/21123.132.120.1 to 123.132.127.254123.132.127.2552,046
145123.132.128.0/21123.132.128.1 to 123.132.135.254123.132.135.2552,046
146123.132.136.0/21123.132.136.1 to 123.132.143.254123.132.143.2552,046
147123.132.144.0/21123.132.144.1 to 123.132.151.254123.132.151.2552,046
148123.132.152.0/21123.132.152.1 to 123.132.159.254123.132.159.2552,046
149123.132.160.0/21123.132.160.1 to 123.132.167.254123.132.167.2552,046
150123.132.168.0/21123.132.168.1 to 123.132.175.254123.132.175.2552,046
151123.132.176.0/21123.132.176.1 to 123.132.183.254123.132.183.2552,046
152123.132.184.0/21123.132.184.1 to 123.132.191.254123.132.191.2552,046
153123.132.192.0/21123.132.192.1 to 123.132.199.254123.132.199.2552,046
154123.132.200.0/21123.132.200.1 to 123.132.207.254123.132.207.2552,046
155123.132.208.0/21123.132.208.1 to 123.132.215.254123.132.215.2552,046
156123.132.216.0/21123.132.216.1 to 123.132.223.254123.132.223.2552,046
157123.132.224.0/21123.132.224.1 to 123.132.231.254123.132.231.2552,046
158123.132.232.0/21123.132.232.1 to 123.132.239.254123.132.239.2552,046
159123.132.240.0/21123.132.240.1 to 123.132.247.254123.132.247.2552,046
160123.132.248.0/21123.132.248.1 to 123.132.255.254123.132.255.2552,046
161123.133.0.0/21123.133.0.1 to 123.133.7.254123.133.7.2552,046
162123.133.8.0/21123.133.8.1 to 123.133.15.254123.133.15.2552,046
163123.133.16.0/21123.133.16.1 to 123.133.23.254123.133.23.2552,046
164123.133.24.0/21123.133.24.1 to 123.133.31.254123.133.31.2552,046
165123.133.32.0/21123.133.32.1 to 123.133.39.254123.133.39.2552,046
166123.133.40.0/21123.133.40.1 to 123.133.47.254123.133.47.2552,046
167123.133.48.0/21123.133.48.1 to 123.133.55.254123.133.55.2552,046
168123.133.56.0/21123.133.56.1 to 123.133.63.254123.133.63.2552,046
169123.133.64.0/21123.133.64.1 to 123.133.71.254123.133.71.2552,046
170123.133.72.0/21123.133.72.1 to 123.133.79.254123.133.79.2552,046
171123.133.80.0/21123.133.80.1 to 123.133.87.254123.133.87.2552,046
172123.133.88.0/21123.133.88.1 to 123.133.95.254123.133.95.2552,046
173123.133.96.0/21123.133.96.1 to 123.133.103.254123.133.103.2552,046
174123.133.104.0/21123.133.104.1 to 123.133.111.254123.133.111.2552,046
175123.133.112.0/21123.133.112.1 to 123.133.119.254123.133.119.2552,046
176123.133.120.0/21123.133.120.1 to 123.133.127.254123.133.127.2552,046
177123.133.128.0/21123.133.128.1 to 123.133.135.254123.133.135.2552,046
178123.133.136.0/21123.133.136.1 to 123.133.143.254123.133.143.2552,046
179123.133.144.0/21123.133.144.1 to 123.133.151.254123.133.151.2552,046
180123.133.152.0/21123.133.152.1 to 123.133.159.254123.133.159.2552,046
181123.133.160.0/21123.133.160.1 to 123.133.167.254123.133.167.2552,046
182123.133.168.0/21123.133.168.1 to 123.133.175.254123.133.175.2552,046
183123.133.176.0/21123.133.176.1 to 123.133.183.254123.133.183.2552,046
184123.133.184.0/21123.133.184.1 to 123.133.191.254123.133.191.2552,046
185123.133.192.0/21123.133.192.1 to 123.133.199.254123.133.199.2552,046
186123.133.200.0/21123.133.200.1 to 123.133.207.254123.133.207.2552,046
187123.133.208.0/21123.133.208.1 to 123.133.215.254123.133.215.2552,046
188123.133.216.0/21123.133.216.1 to 123.133.223.254123.133.223.2552,046
189123.133.224.0/21123.133.224.1 to 123.133.231.254123.133.231.2552,046
190123.133.232.0/21123.133.232.1 to 123.133.239.254123.133.239.2552,046
191123.133.240.0/21123.133.240.1 to 123.133.247.254123.133.247.2552,046
192123.133.248.0/21123.133.248.1 to 123.133.255.254123.133.255.2552,046
193123.134.0.0/21123.134.0.1 to 123.134.7.254123.134.7.2552,046
194123.134.8.0/21123.134.8.1 to 123.134.15.254123.134.15.2552,046
195123.134.16.0/21123.134.16.1 to 123.134.23.254123.134.23.2552,046
196123.134.24.0/21123.134.24.1 to 123.134.31.254123.134.31.2552,046
197123.134.32.0/21123.134.32.1 to 123.134.39.254123.134.39.2552,046
198123.134.40.0/21123.134.40.1 to 123.134.47.254123.134.47.2552,046
199123.134.48.0/21123.134.48.1 to 123.134.55.254123.134.55.2552,046
200123.134.56.0/21123.134.56.1 to 123.134.63.254123.134.63.2552,046
201123.134.64.0/21123.134.64.1 to 123.134.71.254123.134.71.2552,046
202123.134.72.0/21123.134.72.1 to 123.134.79.254123.134.79.2552,046
203123.134.80.0/21123.134.80.1 to 123.134.87.254123.134.87.2552,046
204123.134.88.0/21123.134.88.1 to 123.134.95.254123.134.95.2552,046
205123.134.96.0/21123.134.96.1 to 123.134.103.254123.134.103.2552,046
206123.134.104.0/21123.134.104.1 to 123.134.111.254123.134.111.2552,046
207123.134.112.0/21123.134.112.1 to 123.134.119.254123.134.119.2552,046
208123.134.120.0/21123.134.120.1 to 123.134.127.254123.134.127.2552,046
209123.134.128.0/21123.134.128.1 to 123.134.135.254123.134.135.2552,046
210123.134.136.0/21123.134.136.1 to 123.134.143.254123.134.143.2552,046
211123.134.144.0/21123.134.144.1 to 123.134.151.254123.134.151.2552,046
212123.134.152.0/21123.134.152.1 to 123.134.159.254123.134.159.2552,046
213123.134.160.0/21123.134.160.1 to 123.134.167.254123.134.167.2552,046
214123.134.168.0/21123.134.168.1 to 123.134.175.254123.134.175.2552,046
215123.134.176.0/21123.134.176.1 to 123.134.183.254123.134.183.2552,046
216123.134.184.0/21123.134.184.1 to 123.134.191.254123.134.191.2552,046
217123.134.192.0/21123.134.192.1 to 123.134.199.254123.134.199.2552,046
218123.134.200.0/21123.134.200.1 to 123.134.207.254123.134.207.2552,046
219123.134.208.0/21123.134.208.1 to 123.134.215.254123.134.215.2552,046
220123.134.216.0/21123.134.216.1 to 123.134.223.254123.134.223.2552,046
221123.134.224.0/21123.134.224.1 to 123.134.231.254123.134.231.2552,046
222123.134.232.0/21123.134.232.1 to 123.134.239.254123.134.239.2552,046
223123.134.240.0/21123.134.240.1 to 123.134.247.254123.134.247.2552,046
224123.134.248.0/21123.134.248.1 to 123.134.255.254123.134.255.2552,046
225123.135.0.0/21123.135.0.1 to 123.135.7.254123.135.7.2552,046
226123.135.8.0/21123.135.8.1 to 123.135.15.254123.135.15.2552,046
227123.135.16.0/21123.135.16.1 to 123.135.23.254123.135.23.2552,046
228123.135.24.0/21123.135.24.1 to 123.135.31.254123.135.31.2552,046
229123.135.32.0/21123.135.32.1 to 123.135.39.254123.135.39.2552,046
230123.135.40.0/21123.135.40.1 to 123.135.47.254123.135.47.2552,046
231123.135.48.0/21123.135.48.1 to 123.135.55.254123.135.55.2552,046
232123.135.56.0/21123.135.56.1 to 123.135.63.254123.135.63.2552,046
233123.135.64.0/21123.135.64.1 to 123.135.71.254123.135.71.2552,046
234123.135.72.0/21123.135.72.1 to 123.135.79.254123.135.79.2552,046
235123.135.80.0/21123.135.80.1 to 123.135.87.254123.135.87.2552,046
236123.135.88.0/21123.135.88.1 to 123.135.95.254123.135.95.2552,046
237123.135.96.0/21123.135.96.1 to 123.135.103.254123.135.103.2552,046
238123.135.104.0/21123.135.104.1 to 123.135.111.254123.135.111.2552,046
239123.135.112.0/21123.135.112.1 to 123.135.119.254123.135.119.2552,046
240123.135.120.0/21123.135.120.1 to 123.135.127.254123.135.127.2552,046
241123.135.128.0/21123.135.128.1 to 123.135.135.254123.135.135.2552,046
242123.135.136.0/21123.135.136.1 to 123.135.143.254123.135.143.2552,046
243123.135.144.0/21123.135.144.1 to 123.135.151.254123.135.151.2552,046
244123.135.152.0/21123.135.152.1 to 123.135.159.254123.135.159.2552,046
245123.135.160.0/21123.135.160.1 to 123.135.167.254123.135.167.2552,046
246123.135.168.0/21123.135.168.1 to 123.135.175.254123.135.175.2552,046
247123.135.176.0/21123.135.176.1 to 123.135.183.254123.135.183.2552,046
248123.135.184.0/21123.135.184.1 to 123.135.191.254123.135.191.2552,046
249123.135.192.0/21123.135.192.1 to 123.135.199.254123.135.199.2552,046
250123.135.200.0/21123.135.200.1 to 123.135.207.254123.135.207.2552,046
251123.135.208.0/21123.135.208.1 to 123.135.215.254123.135.215.2552,046
252123.135.216.0/21123.135.216.1 to 123.135.223.254123.135.223.2552,046
253123.135.224.0/21123.135.224.1 to 123.135.231.254123.135.231.2552,046
254123.135.232.0/21123.135.232.1 to 123.135.239.254123.135.239.2552,046
255123.135.240.0/21123.135.240.1 to 123.135.247.254123.135.247.2552,046
256123.135.248.0/21123.135.248.1 to 123.135.255.254123.135.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses